package chatRoom.client;
import javax.sound.sampled.Port;
import java.net.*;
import java.io.*;
import java.util.Formatter;
import java.util.Scanner;

public class Network {

    private static final int port = 4321;
    private static final String host = "127.0.0.1" ;

    Socket client;
    Scanner socketin;
    Formatter socketOut;

    public Network() throws IOException{

        try {
            client = new Socket( host , port );
            socketin = new Scanner(client.getInputStream());
            socketOut = new Formatter(client.getOutputStream());

            socketOut.flush();
        } catch (UnknownHostException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void sendMessage(String text){

        socketOut.format(text);
        socketOut.flush();

    }
}
