package chatRoom.server;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;
import java.util.Formatter;
import java.util.Scanner;

public class SecondServer {

    private static final int PORT = 4321;
    private ServerSocket serverSocket;
    ArrayList<Socket> users = new ArrayList<>();
    Scanner in;
    Formatter out;

    public SecondServer() throws IOException {

        serverSocket = new ServerSocket(PORT);

        while (true) {

            Socket client = serverSocket.accept();
            try{
                in = new Scanner(client.getInputStream());
                out = new Formatter(client.getOutputStream());

                String input = in.next() ;
                System.out.println(input);

            } catch (Exception e) {
                e.printStackTrace();
            }

        }
    }
}
